Use Case

To get a real-time view of your traffic network

A System Integrator (SI) needs to know the situation of the traffic network of a specific Flows instance and want to download the traffic snapshot. 

The endpoint is:

GET
https://api.ptvgroup.tech/flows/realtime-traffic/v1

Path parameter 

Not applicable.

Query parameters 

No query parameters are needed.

Example of request

https://api.ptvgroup.tech/flows/realtime-traffic/v1

Host: api.ptvgroup.tech

Authorization: apiKey YOUR_API_KEY

 

Response

HTTP 200 - OK

You get an application/gzip protobuf payload.

See here for decoding the result.

After decompression and decoding, the message contains:

  • timezone: Time zone associated with the traffic snapshot.
  • snapshot_date_time: Date and time of the traffic snapshot. 
  • street_traffic: Real-time traffic entries for street-network links. 
  • street_traffic.id: Identifier of the street-network link. 
  • street_traffic.from_node_id: Identifier of the link's source node. 
  • street_traffic.speed_kmh: Measured or estimated speed in kilometres per hour. 
  • street_traffic.probe_count: Reserved for internal purposes.
  • street_traffic.olr_code: OpenLR location reference for the street-network link.